:userdoc.

:h1 res=001.General Help
:i1 id=Win.Windows
:i1 id=HowTo.How to play WarpTris
:i1 id=Menus.Menus

:font facename=Helv size=8x12.
Choose one of the topics below:
:p.
:ul compact.
:li.:link reftype=hd res=016.License Agreement:elink.
:li.:link reftype=hd res=017.Trademarks:elink.
:li.:link reftype=hd res=007.Playing WarpTris:elink.
:li.:link reftype=hd res=008.WarpTris Keys:elink.
:li.:link reftype=hd res=002.Menu Options:elink.
:li.:link reftype=hd res=003.Game Window:elink.
:li.:link reftype=hd res=004.Score Window:elink.
:li.:link reftype=hd res=005.Next Window:elink.
:li.:link reftype=hd res=006.High Scores Window:elink.
:li.:link reftype=hd res=023.Bug Reporting:elink.
:li.:link reftype=hd res=009.Please Read This!:elink.
:eul.
:p.

:h1 res=023.Bug Reporting
:font facename=Helv size=8x12.
:p.
If you find any bugs, on this program, please E-mail me at :hp4.pcamara@geocities.com:ehp4. or :hp4.dm03mi@antero.uac.pt:ehp4.,
with a description of the bug.
:p.
I will try my best to correct them, and update the version of the program on the Internet.
:p.
Thanks in advance.





:h1 res=002.Menu Options
:font facename=Helv size=8x12.
:p.
Choose one link from the list below:
:p.
:ul compact.
:li.:link reftype=hd res=010.Game Menu:elink.
:li.:link reftype=hd res=011.Impulse Menu:elink.
:li.:link reftype=hd res=012.Sound Menu:elink.
:li.:link reftype=hd res=013.Options Menu:elink.
:li.:link reftype=hd res=014.Windows Menu:elink.
:li.:link reftype=hd res=015.Help Menu:elink.
:eul.
:p.

:h1 res=003.Game Window
:font facename=Helv size=8x12.
:p.
:i2 refid=Win.Game
It's in this window, where you actually play the game. The pieces appear at the gray square on the
center, and then start falling towards one side randomly.
:p.
When some piece overlays any part off the center gray square, the game ends.
:p.
There is also a context menu on this window, with the options from the menu bar, which affect it.

:h1 res=004.Score Window
:font facename=Helv size=8x12.
:p.
:i2 refid=Win.Score
There's not much to say about this window. It displays your current score.

:h1 res=005.Next Window
:font facename=Helv size=8x12.
:p.
:i2 refid=Win.Next
This window displays the next piece, and its next impulse direction.
:p.
If you don't want this assistance, you can hide it by clicking its hide button.

:h1 res=006.High Scores Window
:font facename=Helv size=8x12.
:p.
:i2 refid=Win.High Scores
In this window, the game keeps the ten highest scores, and the names of their respective players.
:p.
If you want, you can erase all of them, by erasing the file SCORES.INI, the next time you run
the game, it will create an empty high scores file.

:h1 res=007.Playing WarpTris
:font facename=Helv size=8x12.
:p.
:i2 refid=HowTo.Playing WarpTris
Well, WarpTris is a rather different (and original) kind of Tetris, instead of pieces dropping from the top side of the Game window,
they appear at the middle of it, and then start falling towards one side, randomly.
:p.
This behavior, has a pseudo-Physical explanation: imagine your in Space, where there's no gravity, if you drop
something, and give it an impulse in a given direction, that's the direction it will start moving (or falling), and it will
continue moving that way, unless it encounters something on its way. So on WarpTris, pieces appear at the middle of the Game
window and then receive an impulse, in a random direction, and immediately start falling towards that direction (just like in space).
:p.
The piece can only fall towards four different directions (Up, Down, Left and Right), and you can make
lines on the four sides of the Game window. You loose when some piece covers any square on the middle gray area.
:p.
There are three levels of difficulty, which I call impulses (it makes more sense). What is different between them is
the impulse strength, thus having direct implication on the speed at which the pieces move.
:p.
Finally, when you make a line on one side, only the area from that side of the game window, to the
first parallel side of the middle gray square will be evaluated, which opens holes on the adjacent sides
of the Game window. For example, the figure below shows which area will be evaluated, if you make
a line on the left side of the Game window.
:p.
:artwork name='Figure.bmp' align=center.
:p.
:nt.
You can only move your piece parallelly to the side it is falling to.
:ent.

:h1 res=008.WarpTris Keys
:font facename=Helv size=8x12.
:p.
:i2 refid=HowTo.WarpTris Keys
The valid keys for this game are:
:parml compact tsize=20 break=none.
:pt.Space
:pd.Drop piece
:pt.Keypad Up
:pd.Move Up
:pt.Keypad Down
:pd.Move Down
:pt.Keypad Left
:pd.Move Left
:pt.Keypad Right
:pd.Move Right
:pt.Keypad 5
:pd.Rotate
:eparml.
:p.
To pause the game just change the focus to another window, or press 'P'.
:nt.
To use the Keypad keys NUMLOCK must be active.
:ent.

:h1 res=009.Please Read This!
:font facename=Helv size=8x12.
:p.If you use this game and like it, please send me a Postcard!
.br
This is :hp8.NOT REQUIRED:ehp8., but it would be nice. &colon.-)
:p.If you want you can also send me a contribution, to help me buy PM programming books.
.br
Again, this is :hp8.NOT REQUIRED:ehp8..
:p.
If you want, you can E-mail me at :hp4.pcamara@geocities.com:ehp4. or :hp4.dm03mi@antero.uac.pt:ehp4., although I would prefer a
postcard (or both).
:p.
I assure you that any received contribution will be exclusively spent with OS/2.
:p.
:link reftype=hd res=020.(How do you know I'll honor the above sentence?):elink.
:p.
You can send your Postcard/Contribution to the address below:
:p.
:hp4.Rua Joao Chagas, 32
.br
9560 Rosario-Lagoa
.br
S.Miguel-Azores
.br
PORTUGAL
:ehp4.
:p.
Thanks in advance.
:p.
Paulo Gago da Camara
.br
:hp4.
pcamara@geocities.com
.br
dm03mi@antero.uac.pt
:ehp4.

:h1 res=020.How do I Know?
:p.
:font facename=Helv size=8x12.
You don't. &colon.-)

:h1 res=010.Game Menu
:font facename=Helv size=8x12.
:p.
:i2 refid=Menus.Game
:dl tsize=20.
:dt.:hp2.New:ehp2.
:dd.This option starts a new game.
:dt.:hp2.Exit:ehp2.
:dd.Exits WarpTris.
:edl.

:h1 res=011.Impulse Menu
:font facename=Helv size=8x12.
:p.
:i2 refid=Menus.Impulse
There are three kinds of impulse, which corresponds to three different game speeds. This menu
actually represents the level menu.
:p.
Donkey impulse strength is the weakest (slowest) one, and WARP! is the strongest (fastest) one.

:h1 res=012.Sound Menu
:font facename=Helv size=8x12.
:p.
:i2 refid=Menus.Sound
Toggles the sound on or off.

:h1 res=013.Options Menu
:font facename=Helv size=8x12.
:p.
:i2 refid=Menus.Options
This menu contains only one option, which displays the properties notebook.

:h1 res=014.Windows Menu
:font facename=Helv size=8x12.
:p.
:i2 refid=Menus.Windows
:dl tsize=20.
:dt.:hp2.High Scores:ehp2.
:dd.Toggles the High Scores window on or off.
:dt.:hp2.Next:ehp2.
:dd.Toggles the Next window on or off.
:dt.:hp2.Score:ehp2.
:dd.Toggles the Score window on or off.
:dt.:hp2.Game:ehp2.
:dd.Toggles the Game window on or off.
:dt.:hp2.Arrange:ehp2.
:dd.Restores the default window positions, for the Game, Score, Next and High Scores windows.
:edl.

:h1 res=015.Help Menu
:font facename=Helv size=8x12.
:p.
:i2 refid=Menus.Help
:dl tsize=20.
:dt.:hp2.General Help:ehp2.
:dd.Displays the general help window.
:dt.:hp2.Help index:ehp2.
:dd.Displays the help index window.
:dt.:hp2.Help on help:ehp2.
:dd.Displays information, which explains how to use help.
:dt.:hp2.Product Information:ehp2.
:dd.Displays the Product Information dialog.
:edl.

:h1 res=016.License Agreement
:font facename=Helv size=8x12.
.br
:hp4.License Agreement for WarpTris.:ehp4.
:p.
For the purposes of this license agreement, the files that come with WarpTris
(WarpTris.EXE, Scores.INI, WarpTris.INI, Pop.WAV, High.WAV, Over.Wav, WarpTris.HLP, WarpTris.INF, Install.CMD, README)
.br
will be referred from now on, as WarpTris.
:p.
This program is PostcardWare/FreeWare, which means you can Use and Distribute it :hp8.FREELY:ehp8.,
provided you Don't Charge Any Money for it, nor make any Modifications to it.
:p.
The Author/Programmer does not guarantee anything about this game, nor is responsible for
any damage done to your Software and/or Hardware by it.
:p.
The licensee agrees to use WarpTris at his or her own risk, and agrees to accept all
liabilities arising from its use, including all claims by third parties, without
recourse to the Author/Programmer.
:p.
THERE ARE NO WARRANTIES, EXPRESS OR IMPLIED, OF ANY SORT.
.br
BY YOUR USE OF THE PROGRAM YOU AGREE TO THE TERMS OF THIS LICENSE.
.br
:p.
(c) Paulo Gago da Camara 1996.
:i1.License Agreement

:h1 res=017.Trademarks
:font facename=Helv size=8x12.
:i1.Trademarks
:p.
The following terms are trademarks of the IBM Corporation, in the United States or other countries:
:sl compact.
:li.IBM
:li.OS/2
:li.Presentation Manager (PM)
:esl.
:p.
Any other mentioned Trademarks are owned by their respective owners.
:p.
It is not my intention to infract any copyright, or trademark with this program.
:p.

:euserdoc.
